Opened 10 years ago

Closed 10 years ago

Last modified 3 years ago

#684 closed Task (fixed)

Mid-year merge branch

Reported by: acc Owned by: acc
Priority: low Milestone:
Component: OCE Version: release-3.2
Severity: Keywords:
Cc: Review:
MP ready?:
Progress:

Description

Create a branch on which to construct the mid-year merge code. This branch will contain all the bug-fixes up to tag version 3.2.1 + code from the following completed developments:

  • DEV_r1784_3DF
  • DEV_r1837_mass_heat_salt_fluxes
  • dev_r1821_mixed_ldfdyn
  • DEV_R1821_Rivers
  • DEV_1879_mpp_rep

See also: wiki:ticket/#684?

Commit History (9)

ChangesetAuthorTimeChangeLog
2006acc2010-07-09T17:07:57+02:00

ticket #684 step 9a: Code fixes to achieve first successful compilation of mid-year merge code

2004acc2010-07-09T14:40:45+02:00

ticket #684 step 8: Add in changes from the trunk between revisions 1879 and the 3.2.1 tag (rev 1986)

2000acc2010-07-09T13:27:11+02:00

ticket #684 step 7: Add in changes between the head of the DEV_r1821_Rivers branch and the trunk@1821. Note untested changes were made to the Rivers branch before this merge see wiki ticket page for details

1976acc2010-06-29T17:41:10+02:00

ticket #684 step 6: Add in changes between the head of the DEV_r1879_mpp_rep branch and the trunk@1879.

1970acc2010-06-25T16:58:03+02:00

ticket #684 step 5: Add in changes from the trunk between revisions 1821 and 1879.

1954acc2010-06-24T17:52:01+02:00

ticket #684 step 4: Add in changes between the head of the dev_r1821_mixed_ldfdyn branch and the trunk@1821

1953acc2010-06-24T17:27:10+02:00

ticket #684 step 3: Add in changes from the trunk between revisions 1784 and 1821. No conflicts so far

1951acc2010-06-24T17:00:16+02:00

ticket #684 step 2: Add in changes from the DEV_r1784_3DF branch

1950acc2010-06-24T15:38:43+02:00

ticket #684 step 1: Create branch for mid year branch; start at the earliest base revision for the branches to be merged

Change History (5)

comment:1 Changed 10 years ago by gm

  • Resolution set to fixed
  • Status changed from new to closed

comment:2 Changed 4 years ago by nicolasmartin

  • Keywords merge removed

comment:3 Changed 4 years ago by nicolasmartin

  • Milestone 2010 Stream 3: Developments & Implementation of new features deleted

Milestone 2010 Stream 3: Developments & Implementation of new features deleted

comment:4 Changed 4 years ago by nicolasmartin

  • Keywords mid-year removed

comment:5 Changed 3 years ago by nemo

  • Type changed from Development to Task

Remove 'Development' type

Note: See TracTickets for help on using tickets.